#include <bits/stdc++.h>
using namespace std;
int main()
{
	int n;
	cin>>n;
	vector<int> x(n+1);
	vector<int> y(n+1);
	vector<int> z(n+1);
	x[0]=0;
	y[0]=0;
	z[0]=0;
	for (int i=1; i<=n; i++)
	{
		cin>>x[i];
	}
	for (int i=1; i<=n; i++)
	{
		cin>>y[i];
	}
	for (int i=1; i<=n; i++)
	{
		cin>>z[i];
	}
	sort(x.begin(), x.end());
	int s[n+1]={0};
	for (int i=1; i<=n; i++)
	{
		if (x[i]==x[i-1])
		{
			s[i]=s[i-1];
			continue;
		}
		for (int j=1; j<=n; j++)
		{
			if (x[i]==y[j])
			{
				for (int l=1; l<=n; l++)
				{
					if (j==z[l])
					{
						s[i]++;
					}
				}
			}
		}
	}
	int k=0;
	for (int i=1; i<=n; i++)
	{
		k+=s[i];
	}
	cout<<k<<endl;
}